LibreOffice: StatusbarController Service Reference

LibreOffice LibreOffice 5.1 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
StatusbarController Service Reference

is an abstract service for a component which offers a more complex user interface to users within a status bar. More...

`import"StatusbarController.idl";`

Inheritance diagram for StatusbarController:

## Additional Inherited Members
Exported Interfaces inherited from XStatusbarController
interface | com::sun::star::lang::XComponent
| used to control the life-time of the component More...
interface | com::sun::star::lang::XInitialization
| used to initialize a component with required arguments. More...
interface | com::sun::star::frame::XStatusListener
| with this interface a component can receive events if a feature has changed. More...
interface | com::sun::star::util::XUpdatable
| used to notify an implementation that it needs to add its listener or remove and add them again. More...
Public Member Functions inherited from XStatusbarController
boolean | mouseButtonDown ([in]::com::sun::star::awt::MouseEvent aMouseEvent)
| is called by a status bar if the mouse position is within the controller and a mouse button has been pressed. More...
boolean | mouseMove ([in]::com::sun::star::awt::MouseEvent aMouseEvent)
| is called by a status bar if the mouse position is within the controller and a mouse has been moved. More...
boolean | mouseButtonUp ([in]::com::sun::star::awt::MouseEvent aMouseEvent)
| is called by a status bar if the mouse position is within the controller and a mouse button has been released. More...
void | command ([in]::com::sun::star::awt::Point aPos, [in] long nCommand, [in] boolean bMouseEvent, [in] any aData)
| is called by a status bar if a command event is available for a controller. More...
void | paint ([in]::com::sun::star::awt::XGraphics xGraphics, [in]::com::sun::star::awt::Rectangle OutputRectangle, [in] long nStyle)
| is called by a status bar if the controller has to update the visual representation. More...
void | click ([in]::com::sun::star::awt::Point aPos)
| is called by a status bar if the user clicked with mouse into the field of the corresponding control. More...
void | doubleClick ([in]::com::sun::star::awt::Point aPos)
| is called by a status bar if the user double-clicked with mouse into the field of the corresponding control. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...
Public Member Functions inherited from XStatusListener
void | statusChanged ([in] FeatureStateEvent State)
| is called when the status of the feature changes. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XUpdatable
void | update ()
| refreshes the data of the object from the connected data source. More...

## Detailed Description

is an abstract service for a component which offers a more complex user interface to users within a status bar.

A generic status bar function is represented as a text field which provides status information to the user. A status bar controller can be added to a status bar and provides information or functions with a more sophisticated user interface.
A typical example for a status bar controller is the zoom level chooser within the statusbar. It provides an option to change the zoom level of an application.

See also
  com::sun::star::frame::XDispatchProvider
  com::sun::star::frame::XStatusbarController

Since
  OOo 2.0

The documentation for this service was generated from the following file:

- com/sun/star/frame/StatusbarController.idl